#include <Wire.h>                 //importation des librairies
#include <rgb_lcd.h>              //pour l'afficheur
rgb_lcd lcd;                      //creation de l'objet afficheur
int val;                          // déclaration des variables de type
float tension;                    // int : entier et float : décimal
float pression;

void setup()                    //exécuté 1 fois à la mise sous tension
{
    lcd.begin(16, 2);           //configure l'afficheur 16 lig 2 col
    lcd.setRGB(255, 255, 0);    //couleur de fond (R, G, B)
    lcd.print("Tension :");     //affichage 1ere ligne
}                             

void loop()                       //exécuté en boucle
{
    val = analogRead(A0);         //lecture A0 variant de 0 à 1023 
    tension = val*5/1023.0;       //convertit la plage 0-1023
                                  //en 0-5 vlots
        
    lcd.setCursor(0, 1);          //placement curseur debut 2eme ligne
    lcd.print(tension);           //affichage de la tension
    lcd.print(" Volts   ");
    
    delay(1000);                  //pause de 1000ms
}




